<?php
include_once("inc/config.php");
include_once("inc/ftbbsdbclass.php");
include_once("inc/publicfun.php");
include_once("conn.php");
include_once("ftbbs_nav.php");

$query = "SELECT * FROM {$tablepre}ftbbsmb";
$ftbbsmb=makecache('ftbbsmb.html',$query,$expire);
$getcodeoff=$ftbbsmb[30];
$logintili=$ftbbsmb[53];

$flag=$_GET["flag"];
$geturl=$_POST["reurl"];
$msg=$_GET["msg"];

if ($geturl=="" || empty($geturl)){
$geturl="default.php";
}

if ($_POST["act"]=="y"){
   $ckies=$_POST["ckies"];
   $bbsuser=ftbbs_request(trim($_POST["bbsuser"]));
   $password=md5(ftbbs_request(trim($_POST["password"])));
   $now=date("Y-m-d H:i:s");
   $codestr=trim($_POST["codestr"]);
   if (CheckName($bbsuser)==false){
      ftbbs_msg("用户名不合法!","default.php");
      exit;
   }
   If ($getcodeoff==1 && $_SESSION["code"]!=$codestr && $_SESSION["errorlogin"]>=3){
      login_msg(3,"userlogin.php");
      exit;
   }

   $sql="select * from {$tablepre}clubuser where clubuser_name='".$bbsuser."'and jfmsign=0";
   $rs=mysql_query($sql);
   $row = mysql_fetch_array($rs);
   $rsnum= mysql_num_rows($rs);
   if ($rsnum==0){
      login_msg(4,"userlogin.php");
	  exit;
      }
   else{
      $clubuser_password=$row["clubuser_password"];
	  $clubuser_id=$row["clubuser_id"];
	  $clubuser_name=$row["clubuser_name"];
	  $bz=$row["bbsmanager"];
	  $bbsadmin=$row["bbsadmin"];
	  $payuser=$row["payuser"];
      if ($clubuser_password==$password && $clubuser_name==$bbsuser){
        if ($payuser==3){
           login_msg(5,"userlogin.php");
		   exit;
        }
       //设置cookies
        set_cookie('clubuser_id', $clubuser_id, $ckies);
        set_cookie('username', $clubuser_name, $ckies);
        set_cookie('clubuser_password', base64_encode($clubuser_password), $ckies);
        set_cookie('bbsuser', $clubuser_name, $ckies);
        set_cookie('bz', $bz, $ckies);
        set_cookie('bbsadmin', $bbsadmin, $ckies);
        set_cookie('payuser', $payuser, $ckies);
		//set_cookie('bokeer', $bokeer, $ckies);
        $_SESSION["errorlogin"]=0;
        mysql_query("update {$tablepre}clubuser set clubuser_lasttime='".$now."',clubuser_enter_count=clubuser_enter_count+1,tili=tili+'".$logintili."' where clubuser_name='".$bbsuser."'");
        header("Location:".$geturl);
		}
      else{
	    $_SESSION["errorlogin"]=$_SESSION["errorlogin"]+1;
        login_msg(6,"userlogin.php");
		exit;
      }
   }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?=$charset?>">
<title>用户登录</title>
</head>
<script language=javascript src="inc/cookies.js"></script>
<script>
var stylecook = getCookie("STYLESHOW");
var style;
var strstyle;
if(stylecook=="")
{
 stylecook=1;
}
else
{
 stylecook++;
}
style="main0"+stylecook+".css";
strstyle="<link href=\"css/"+style+"\"  rel=\"stylesheet\" type=\"text/css\"> ";
document.write(strstyle);
</script>
<script language="javascript">
<!--
	function checkdate(){
	var mydate = new Date();
	var mytimestamp = parseInt(mydate.valueOf() / 1000);
	if(Math.abs(mytimestamp - 1198478329) > 86400) {
	window.alert('注意:\n\n您本地计算机的时间设定与论坛时间相差超过 24 个小时，\n\n这可能会影响您的正常登录，请调整本地计算机设置。\n\n当前论坛时间是: (GMT +8) <?=$getnow?>\n\n如果您认为论坛时间不准确，请与论坛管理员联系。');
	 }
	}
	function check(form)
	{
    if (form.bbsuser.value=="")
    	{
    		alert("请填写用户名！");
    		form.bbsuser.focus();
    		return false;
  	}
    if (form.password.value=="")
    	{
    		alert("请填写密码！");
    		form.password.focus();
    		return false;
  	}
return true;
	}
//-->
</script>
<style type="text/css">
<!--
html,body {height:100%; font-size:12px;}
.mydiv {
border: 1px solid #B3DDF8;
background: #FFF url("images/ad_bg1.gif");
background-repeat: repeat-x;
padding-left: 10px;
text-align: left;
line-height: 30px;
font-size: 12px;
z-index:99;
width: 280px;
height: 180px !important;
height: 160px;
left:50%;/*FF IE7*/
top:50%;/*FF IE7*/

margin-left:-150px!important;/*FF IE7 该值为本身宽的一半 */
margin-top:-60px!important;/*FF IE7 该值为本身高的一半*/

margin-top:0px;

position:fixed!important;/*FF IE7*/
position:absolute;/*IE6*/

_top:       expression(eval(document.compatMode &&
            document.compatMode=='CSS1Compat') ?
            documentElement.scrollTop + (document.documentElement.clientHeight-this.offsetHeight)/2 :/*IE6*/
            document.body.scrollTop + (document.body.clientHeight - this.clientHeight)/2);/*IE5 IE5.5*/

}
.bg {
background-color: #000;
width: 100%;
height: 100%;
left:0;
top:0;/*FF IE7*/
filter:alpha(opacity=80,finishOpacity=100,style=0);/*IE*/
opacity:0.9;/*FF*/
z-index:1;

position:fixed!important;/*FF IE7*/
position:absolute;/*IE6*/

_top:       expression(eval(document.compatMode &&
            document.compatMode=='CSS1Compat') ?
            documentElement.scrollTop + (document.documentElement.clientHeight-this.offsetHeight)/2 :/*IE6*/
            document.body.scrollTop + (document.body.clientHeight - this.clientHeight)/2);/*IE5 IE5.5*/

} 
--> 
</style>
<script language="javascript" type="text/javascript">
function showDiv(){
document.getElementById('popDiv').style.display='block';
document.getElementById('bg').style.display='block';
}

function closeDiv(){
document.getElementById('popDiv').style.display='none';
document.getElementById('bg').style.display='none';
}
function checkget(form){
    if (form.bbsuser.value=="")
    	{
    		alert("请填写用户名！");
    		form.bbsuser.focus();
    		return false;
  	}
    if (form.answer.value=="")
    	{
    		alert("请填写问题答案！");
    		form.answer.focus();
    		return false;
  	}
return true;
}
</script>
<script language=javascript src="js/resetcode.js"></script>
<body topmargin="0">
<div id="popDiv" class="mydiv" style="display:none;">
<form name="form1" method="post" action="getpwd.php" onSubmit="return checkget(this)">
<b>请输入要取回密码的用户名问题与答案</b>&nbsp;&nbsp;&nbsp;
<a href="javascript:closeDiv()" title="关闭窗口"><b>×</b></a><br/>
<div style="padding-bottom: 10px;">用户名：<input name="bbsuser" type="text" size="30"></div>
<div style="padding-bottom: 10px;">问  &nbsp;题：<select id="question" name="question">
<option selected value="">--请您选择--</option>
<option value="我的宠物名字？">我的宠物名字？</option>
<option value="我最好的朋友是谁？">我最好的朋友是谁？</option>
<option value="我最喜爱的颜色？">我最喜爱的颜色？</option>
<option value="我最喜爱的电影？">我最喜爱的电影？</option>
<option value="我最喜爱的影星？">我最喜爱的影星？</option>
<option value="我最喜爱的歌曲？">我最喜爱的歌曲？</option>
<option value="我最喜爱的食物？">我最喜爱的食物？</option>
<option value="我最大的爱好？">我最大的爱好？</option>
<option value="我中学校名全称是什么？">我中学校名全称是什么？</option>
<option value="我的座右铭是？">我的座右铭是？</option>
<option value="我最喜欢的小说的名字？">我最喜欢的小说的名字？</option>
<option value="我最喜欢的卡通人物名字？">我最喜欢的卡通人物名字？</option>
<option value="我母亲/父亲的生日？">我母亲/父亲的生日？</option>
<option value="我最欣赏的一位名人的名字？">我最欣赏的一位名人的名字？</option>
<option value="我最喜欢的运动队全称？">我最喜欢的运动队全称？</option>
<option value="我最喜欢的一句影视台词？">我最喜欢的一句影视台词？</option>
</select></div>
<div style="padding-bottom: 10px;">答  &nbsp;案：<input name=answer type=text id=answer size=30 maxlength=30></div>
<div align="center"><input type="submit" name="Submit1" value="取回密码">
<input type="reset" name="Submit" value="关闭窗口" onClick="closeDiv();"></div>
</form>
</div>
<div id="bg" class="bg" style="display:none;"></div>
<?
if (get_cookie('ftbbstype')==1){
include_once("pbhead.php");
}
?>
<table cellspacing=0 cellpadding=0 width="99%" align=center border=0>
  <tbody>
    <tr> 
      <td height=1></td>
    </tr>
  </tbody>
</table>
<table width="99%" border=0 align="center" cellpadding=2 cellspacing=1 class="maintbbg">
  <tbody>
   <tr> 
      <td height="25" class="f12bg" align="left">&nbsp;<?=$userinfo?></td>
   </tr>
   <tr>
      <td height="26" class="maintbtr3">&nbsp;<a href="default.php">论坛首页</a> &gt;&gt; 
        论坛登录</td>
   </tr>
  </tbody>
</table>
<table cellspacing=0 cellpadding=0 width="99%" align=center border=0>
  <tbody>
    <tr> 
      <td height=8></td>
    </tr>
  </tbody>
</table>
<table width="99%" border="0" align="center" class="listborder" cellspacing="1" cellpadding="0">
  <FORM METHOD=POST ACTION="userlogin.php?flag=<?=$flag?>" onSubmit="return check(this)">
    <tr class="maintbtr1"> 
      <td colspan="2" height="27" class="f12bg"> <div align="center">&nbsp;请输入您的用户名、密码登录</div></td>
    </tr>
    <?
	if ($msg=="1"){
	$msgstr="你所访问的版面只有认证用户或总版主才能访问";
	}elseif ($msg=="2"){
	$msgstr="你所访问的版面只有总版主或分版主才能访问";
	}elseif ($msg=="3"){
	$msgstr="验证码错误,请重新输入";
	}elseif ($msg=="4"){
	$msgstr="用户名不存在或还没有被激活";
	}elseif ($msg=="5"){
	$msgstr="对不起,你的用户名被管理员封锁了";
	}elseif ($msg=="6"){
	$msgstr="你的密码错误,请重新登录";
	}
	if ($msg!=""){?>
    <tr height=25> 
      <TD width="28%" height="30" class="loopborder1"> <div align="left">&nbsp;错误提示信息：</div></TD>
      <TD width="72%" class="loopborder1"><font color="#FF0000">
        <?=$msgstr?>
        </font></TD>
    </tr>
    <? }?>
    <tr height=25> 
      <TD width="28%" height="30" class="loopborder1"> <div align="left">&nbsp;请输入您的用户名：</div></TD>
      <TD width="72%" class="loopborder1"><INPUT TYPE="text" NAME="bbsuser" class="inputpage" style="height:20px;width:130px"> 
        <a href="register.php">没有注册？</a> </TD>
    </TR>
    <tr height=25> 
      <TD height="30" class="loopborder1"> <div align="left">&nbsp;输入您的用户密码：</div></TD>
      <TD class="loopborder1"><INPUT TYPE="password" NAME="password" class="inputpage" style="height:20px;width:130px"> 
        <a href="javascript:showDiv();">忘记论坛密码？</a></TD>
    </TR>
    <?
	If ($getcodeoff=1 && $_SESSION["errorlogin"]>=3){
	?>
    <tr> 
      <td height="30"> <div align="left">&nbsp;请输入右边验证码：</div></td>
      <td height="20" class="loopborder1"><input name=codestr id=codestr type=text size=6 maxlength=4> 
        <img src="getyzm.php" alt="看不清楚请点击刷新验证码" class="simg" style="cursor : pointer;" onclick="this.src='getyzm.php';" align="absmiddle"> 
      </td>
    </tr>
    <?
	}
	?>
    <tr height=25> 
      <TD height="130" valign="top" class="loopborder1"> <div align="left"><br>
          &nbsp;用户密码保存时间：</div></TD>
      <TD class="loopborder1"><input name="ckies" type="radio" value="0" checked>
        关闭浏览器失效<br> <input type="radio" name="ckies" value="86400">
        保存一天的时间 <br> <input type="radio" name="ckies" value="604800">
        保存一周的时间<br> <input type="radio" name="ckies" value="2592000">
        保存一月的时间<br> <input type="radio" name="ckies" value="31536000">
        保存一年的时间</TD>
    </tr>
    <tr valign="middle" height=25 style="line-height:23px"> 
      <TD height="85" colspan="2" class="loopborder2"> <div align="left">&nbsp;请输入您的帐号与密码，然后点击登录按钮. 
          如果您没有注册,请先<a href="register.php">注册成为会员</a>.<br>
          &nbsp;提示：您的浏览器必须支持cookie，否则将不能登录论坛.<br>
          &nbsp;注意：如果您在网吧,Cookies选项请选择不保存,关闭浏览器就失效登录.</div></TD>
    </tr>
    <tr align=center> 
      <TD height="40" class="loopborder1">&nbsp; </TD>
      <TD height="40" class="loopborder1"><div align="left"> 
          <input type="hidden" name="reurl" value="<?=$_SERVER["HTTP_REFERER"]?>">
          <input type="hidden" name="act" value="y">
          <INPUT TYPE="submit" value="登 录" name="Input" class="button">
        </div></TD>
    </TR>
  </FORM>
</TABLE>
</div>
<?
$db->close(); 
include_once("inc/bbstail.php");
?>
</body>
</html>